Skip to main content
`Ctrl`+`K`

# MatMFFDSetPeriod

Sets how often the step-size `h` is recomputed for a `MATMFFD` matrix, by default it is every time

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDSetPeriod(Mat mat, PetscInt period)

Logically Collective

## Input Parameters

- mat - the `MATMFFD` matrix-free matrix

- period - 1 for every time, 2 for every second etc

## Options Database Key

- -mat_mffd_period period - Sets how often `h` is recomputed

## See Also

Matrices, `Mat`, `MATMFFD`, `MatCreateSNESMF()`, `MatMFFDGetH()`, `MatMFFDSetHHistory()`, `MatMFFDResetHHistory()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

## Implementations

MatMFFDSetPeriod_MFFD() in src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages